Bug 663306 - SELinux is preventing lpstat "read" access on /etc/cups/lpoptions.
Summary: SELinux is preventing lpstat "read" access on /etc/cups/lpoptions.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a264167bc20...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-15 10:41 UTC by Matthias Runge
Modified: 2010-12-21 23:58 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.9.7-18.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-21 23:58:55 UTC


Attachments (Terms of Use)

Description Matthias Runge 2010-12-15 10:41:59 UTC
Summary:

SELinux is preventing lpstat "read" access on /etc/cups/lpoptions.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by lpstat. It is not expected that this access
is required by lpstat and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:services_munin_plugin_t:s0
Target Context                system_u:object_r:cupsd_rw_etc_t:s0
Target Objects                /etc/cups/lpoptions [ file ]
Source                        lpstat
Source Path                   lpstat
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           cups-1.4.4-11.fc14
Policy RPM                    selinux-policy-3.9.7-16.fc14
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.35.9-64.fc14.x86_64 #1 SMP Fri Dec 3 12:19:41
                              UTC 2010 x86_64 x86_64
Alert Count                   2
First Seen                    Wed 15 Dec 2010 11:40:03 CET
Last Seen                     Wed 15 Dec 2010 11:40:03 CET
Local ID                      2c737b93-bbe3-455d-9445-1a26075b0b19
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1292409603.636:71912): avc:  denied  { read } for  pid=5661 comm="lpstat" name="lpoptions" dev=dm-0 ino=1188413 scontext=unconfined_u:system_r:services_munin_plugin_t:s0 tcontext=system_u:object_r:cupsd_rw_etc_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1292409603.636:71912): avc:  denied  { open } for  pid=5661 comm="lpstat" name="lpoptions" dev=dm-0 ino=1188413 scontext=unconfined_u:system_r:services_munin_plugin_t:s0 tcontext=system_u:object_r:cupsd_rw_etc_t:s0 tclass=file



Hash String generated from  catchall,lpstat,services_munin_plugin_t,cupsd_rw_etc_t,file,read
audit2allow suggests:

#============= services_munin_plugin_t ==============
allow services_munin_plugin_t cupsd_rw_etc_t:file { read open };

Comment 1 Miroslav Grepl 2010-12-15 11:44:00 UTC
Fixed in selinux-policy-3.9.7-17.fc14

Comment 2 Fedora Update System 2010-12-16 15:54:07 UTC
selinux-policy-3.9.7-18.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 3 Fedora Update System 2010-12-17 08:36:16 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-18.fc14

Comment 4 Fedora Update System 2010-12-21 23:58:12 UTC
selinux-policy-3.9.7-18.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.